## AgsBusinessGroup

AgsBusinessGroup — base group permissions

## Stability Level

Stable, unless otherwise indicated

## Functions

gchar ** | ags_business_group_get_group_uuid ()
void | ags_business_group_set_group_name ()
gchar * | ags_business_group_get_group_name ()
void | ags_business_group_set_user ()
gchar ** | ags_business_group_get_user ()

## Object Hierarchy

        GInterface
        ╰── AgsBusinessGroup

## Includes

    #include <ags/server/security/ags_business_group.h>

## Description

The AgsBusinessGroup interface gives you base group permissions.

## Functions

### ags_business_group_get_group_uuid ()

    gchar **
    ags_business_group_get_group_uuid (AgsBusinessGroup *business_group,
                                       GObject *security_context,
                                       gchar *user_uuid,
                                       gchar *security_token,
                                       GError **error);

Get group UUID as string vector.

#### Parameters

business_group | the AgsBusinessGroup |
security_context | the AgsSecurityContext |
user_uuid | the users unique identifier |
security_token | the security token |
error | the GError |

#### Returns

the group UUIDs as `NULL` terminated string array.

[element-type utf8][array zero-terminated=1][transfer full]

Since: 3.0.0

### ags_business_group_set_group_name ()

    void
    ags_business_group_set_group_name (AgsBusinessGroup *business_group,
                                       GObject *security_context,
                                       gchar *user_uuid,
                                       gchar *security_token,
                                       gchar *group_uuid,
                                       gchar *group_name,
                                       GError **error);

Set business group name.

#### Parameters

business_group | the AgsBusinessGroup |
security_context | the AgsSecurityContext |
user_uuid | the user's UUID |
security_token | the security token |
group_uuid | the group's UUID |
group_name | the business group's name to set |
error | the GError |

Since: 3.0.0

### ags_business_group_get_group_name ()

    gchar *
    ags_business_group_get_group_name (AgsBusinessGroup *business_group,
                                       GObject *security_context,
                                       gchar *user_uuid,
                                       gchar *security_token,
                                       gchar *group_uuid,
                                       GError **error);

Get business group name.

#### Parameters

business_group | the AgsBusinessGroup |
security_context | the AgsSecurityContext |
user_uuid | the user's UUID |
security_token | the security token |
group_uuid | the group's UUID |
error | the GError |

#### Returns

the business group's name as string

Since: 3.0.0

### ags_business_group_set_user ()

    void
    ags_business_group_set_user (AgsBusinessGroup *business_group,
                                 GObject *security_context,
                                 gchar *user_uuid,
                                 gchar *security_token,
                                 gchar *group_uuid,
                                 gchar **user,
                                 GError **error);

Set business group of user names as `NULL` terminated string array.

#### Parameters

business_group | the AgsBusinessGroup |
security_context | the AgsSecurityContext |
user_uuid | the user's UUID |
security_token | the security token |
group_uuid | the business group's UUID |
user | the string array containing user names. | [element-type utf8][array zero-terminated=1]
error | the GError |

Since: 3.0.0

### ags_business_group_get_user ()

    gchar **
    ags_business_group_get_user (AgsBusinessGroup *business_group,
                                 GObject *security_context,
                                 gchar *user_uuid,
                                 gchar *security_token,
                                 gchar *group_uuid,
                                 GError **error);

Get business group name as `NULL` terminated string array.

#### Parameters

business_group | the AgsBusinessGroup |
security_context | the AgsSecurityContext |
user_uuid | the user's UUID |
security_token | the security token |
group_uuid | the business group's UUID |
error | the GError |

#### Returns

the business group's user names as string vector.

[element-type utf8][array zero-terminated=1][transfer full]

Since: 3.0.0